if (!defined &_LIMITS_H) {
    eval 'sub _LIMITS_H {1;}';
    require 'sys/feature_tests.ph';
    require 'sys/isa_defs.ph';
    if (defined &__cplusplus) {
    }
    eval 'sub CHAR_BIT {8;}';
    eval 'sub SCHAR_MIN {(-128);}';
    eval 'sub SCHAR_MAX {127;}';
    eval 'sub UCHAR_MAX {255;}';
    eval 'sub MB_LEN_MAX {5;}';
    if (defined( &_CHAR_IS_SIGNED)) {
	eval 'sub CHAR_MIN { &SCHAR_MIN;}';
	eval 'sub CHAR_MAX { &SCHAR_MAX;}';
    }
    elsif (defined( &_CHAR_IS_UNSIGNED)) {
	eval 'sub CHAR_MIN {0;}';
	eval 'sub CHAR_MAX { &UCHAR_MAX;}';
    }
    else {
    }
    eval 'sub SHRT_MIN {(-32768);}';
    eval 'sub SHRT_MAX {32767;}';
    eval 'sub USHRT_MAX {65535;}';
    eval 'sub INT_MIN {(-2147483647-1);}';
    eval 'sub INT_MAX {2147483647;}';
    eval 'sub UINT_MAX {4294967295 &U;}';
    eval 'sub LONG_MIN {(-2147483647 &L-1 &L);}';
    eval 'sub LONG_MAX {2147483647 &L;}';
    eval 'sub ULONG_MAX {4294967295 &UL;}';
    if (defined( &__EXTENSIONS__) ||  &__STDC__ - 0 == 0 || defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE)) {
	eval 'sub SSIZE_MAX { &INT_MAX;}';
	eval 'sub ARG_MAX {1048320;}';
	eval 'sub LINK_MAX {32767;}';
	if (!defined &MAX_CANON) {
	    eval 'sub MAX_CANON {256;}';
	}
	if (!defined &MAX_INPUT) {
	    eval 'sub MAX_INPUT {512;}';
	}
	eval 'sub NGROUPS_MAX {16;}';
	if (!defined &PATH_MAX) {
	    eval 'sub PATH_MAX {1024;}';
	}
	eval 'sub PIPE_BUF {5120;}';
	if (!defined &TMP_MAX) {
	    eval 'sub TMP_MAX {17576;}';
	}
	eval 'sub _POSIX_AIO_LISTIO_MAX {2;}';
	eval 'sub _POSIX_AIO_MAX {1;}';
	eval 'sub _POSIX_ARG_MAX {4096;}';
	eval 'sub _POSIX_CHILD_MAX {6;}';
	eval 'sub _POSIX_CLOCKRES_MIN {20000000;}';
	eval 'sub _POSIX_DELAYTIMER_MAX {32;}';
	eval 'sub _POSIX_LINK_MAX {8;}';
	eval 'sub _POSIX_MAX_CANON {255;}';
	eval 'sub _POSIX_MAX_INPUT {255;}';
	eval 'sub _POSIX_MQ_OPEN_MAX {8;}';
	eval 'sub _POSIX_MQ_PRIO_MAX {32;}';
	eval 'sub _POSIX_NAME_MAX {14;}';
	eval 'sub _POSIX_NGROUPS_MAX {0;}';
	eval 'sub _POSIX_OPEN_MAX {16;}';
	eval 'sub _POSIX_PATH_MAX {255;}';
	eval 'sub _POSIX_PIPE_BUF {512;}';
	eval 'sub _POSIX_RTSIG_MAX {8;}';
	eval 'sub _POSIX_SEM_NSEMS_MAX {256;}';
	eval 'sub _POSIX_SEM_VALUE_MAX {32767;}';
	eval 'sub _POSIX_SIGQUEUE_MAX {32;}';
	eval 'sub _POSIX_SSIZE_MAX {32767;}';
	eval 'sub _POSIX_STREAM_MAX {8;}';
	eval 'sub _POSIX_TIMER_MAX {32;}';
	eval 'sub _POSIX_TZNAME_MAX {3;}';
	eval 'sub _POSIX_LOGIN_NAME_MAX {9;}';
	eval 'sub _POSIX_THREAD_DESTRUCTOR_INTERATION {4;}';
	eval 'sub _POSIX_THREAD_KEYS_MAX {128;}';
	eval 'sub _POSIX_THREAD_THREADS_MAX {64;}';
	eval 'sub _POSIX_TTY_NAME_MAX {9;}';
	eval 'sub _POSIX2_BC_BASE_MAX {99;}';
	eval 'sub _POSIX2_BC_DIM_MAX {2048;}';
	eval 'sub _POSIX2_BC_SCALE_MAX {99;}';
	eval 'sub _POSIX2_BC_STRING_MAX {1000;}';
	eval 'sub _POSIX2_COLL_WEIGHTS_MAX {2;}';
	eval 'sub _POSIX2_EXPR_NEST_MAX {32;}';
	eval 'sub _POSIX2_LINE_MAX {2048;}';
	eval 'sub _POSIX2_RE_DUP_MAX {255;}';
	eval 'sub BC_BASE_MAX { &_POSIX2_BC_BASE_MAX;}';
	eval 'sub BC_DIM_MAX { &_POSIX2_BC_DIM_MAX;}';
	eval 'sub BC_SCALE_MAX { &_POSIX2_BC_SCALE_MAX;}';
	eval 'sub BC_STRING_MAX { &_POSIX2_BC_STRING_MAX;}';
	eval 'sub COLL_WEIGHTS_MAX { &_POSIX2_COLL_WEIGHTS_MAX;}';
	eval 'sub EXPR_NEST_MAX { &_POSIX2_EXPR_NEST_MAX;}';
	eval 'sub LINE_MAX { &_POSIX2_LINE_MAX;}';
	eval 'sub RE_DUP_MAX { &_POSIX2_RE_DUP_MAX;}';
    }
    if (defined( &__EXTENSIONS__) || ( &__STDC__ - 0 == 0 && !defined( &_POSIX_C_SOURCE)) || defined( &_XOPEN_SOURCE)) {
	eval 'sub PASS_MAX {8;}';
	eval 'sub CHARCLASS_NAME_MAX {14;}';
	eval 'sub NL_ARGMAX {9;}';
	eval 'sub NL_LANGMAX {14;}';
	eval 'sub NL_MSGMAX {32767;}';
	eval 'sub NL_NMAX {1;}';
	eval 'sub NL_SETMAX {255;}';
	eval 'sub NL_TEXTMAX {2048;}';
	eval 'sub NZERO {20;}';
	eval 'sub WORD_BIT {32;}';
	eval 'sub LONG_BIT {32;}';
	eval 'sub DBL_DIG {15;}';
	eval 'sub DBL_MAX {1.7976931348623157 &E+308;}';
	eval 'sub DBL_MIN {2.2250738585072014 &E-308;}';
	eval 'sub FLT_DIG {6;}';
	eval 'sub FLT_MAX {3.402823466 &E+38 &F;}';
	eval 'sub FLT_MIN {1.175494351 &E-38 &F;}';
    }
    if (defined( &__EXTENSIONS__) || ( &__STDC__ - 0 == 0 && !defined( &_POSIX_C_SOURCE) && !defined( &_XOPEN_SOURCE))) {
	eval 'sub FCHR_MAX {1048576;}';
	eval 'sub PID_MAX {30000;}';
	eval 'sub CHILD_MAX {25;}';
	if (!defined &OPEN_MAX) {
	    eval 'sub OPEN_MAX {64;}';
	}
	eval 'sub PIPE_MAX {5120;}';
	eval 'sub STD_BLK {1024;}';
	eval 'sub UID_MAX {2147483647;}';
	eval 'sub USI_MAX {4294967295;}';
	eval 'sub SYSPID_MAX {1;}';
	if (!defined &SYS_NMLN) {
	    eval 'sub SYS_NMLN {257;}';
	}
	if (!defined &CLK_TCK) {
	    eval 'sub CLK_TCK { &_sysconf(3);}';
	}
	eval 'sub LOGNAME_MAX {8;}';
	eval 'sub TTYNAME_MAX {128;}';
	eval 'sub LLONG_MIN {(-9223372036854775807 &LL-1 &LL);}';
	eval 'sub LLONG_MAX {9223372036854775807 &LL;}';
	eval 'sub ULLONG_MAX {18446744073709551615 &ULL;}';
    }
    if (defined( &__EXTENSIONS__) || ( &_POSIX_C_SOURCE >= 199506 &L)) {
	require 'sys/unistd.ph';
	eval 'sub PTHREAD_STACK_MIN { &_sysconf( &_SC_THREAD_STACK_MIN);}';
    }
    if (defined &__cplusplus) {
    }
}
1;
