if (!defined &_RPC_XDR_H) {
    eval 'sub _RPC_XDR_H {1;}';
    require 'sys/byteorder.ph';
    require 'sys/types.ph';
    if (!defined &_KERNEL) {
	require 'stdio.ph';
    }
    if (defined &_KERNEL) {
	require 'sys/stream.ph';
    }
    if (defined &__cplusplus) {
    }
    eval 'sub BYTES_PER_XDR_UNIT {(4);}';
    eval 'sub RNDUP {
        local($x) = @_;
        eval "(((($x) +  &BYTES_PER_XDR_UNIT - 1) /  &BYTES_PER_XDR_UNIT) *  &BYTES_PER_XDR_UNIT)";
    }';
    if (defined &__STDC__) {
    }
    else {
    }
    eval 'sub XDR_GETLONG {
        local($xdrs, $longp) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getlong)($xdrs, $longp)";
    }';
    eval 'sub xdr_getlong {
        local($xdrs, $longp) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getlong)($xdrs, $longp)";
    }';
    eval 'sub XDR_PUTLONG {
        local($xdrs, $longp) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_putlong)($xdrs, $longp)";
    }';
    eval 'sub xdr_putlong {
        local($xdrs, $longp) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_putlong)($xdrs, $longp)";
    }';
    eval 'sub XDR_GETBYTES {
        local($xdrs, $addr, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getbytes)($xdrs, $addr, $len)";
    }';
    eval 'sub xdr_getbytes {
        local($xdrs, $addr, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getbytes)($xdrs, $addr, $len)";
    }';
    eval 'sub XDR_PUTBYTES {
        local($xdrs, $addr, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_putbytes)($xdrs, $addr, $len)";
    }';
    eval 'sub xdr_putbytes {
        local($xdrs, $addr, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_putbytes)($xdrs, $addr, $len)";
    }';
    eval 'sub XDR_GETPOS {
        local($xdrs) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getpostn)($xdrs)";
    }';
    eval 'sub xdr_getpos {
        local($xdrs) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_getpostn)($xdrs)";
    }';
    eval 'sub XDR_SETPOS {
        local($xdrs, $pos) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_setpostn)($xdrs, $pos)";
    }';
    eval 'sub xdr_setpos {
        local($xdrs, $pos) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_setpostn)($xdrs, $pos)";
    }';
    eval 'sub XDR_INLINE {
        local($xdrs, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_inline)($xdrs, $len)";
    }';
    eval 'sub xdr_inline {
        local($xdrs, $len) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_inline)($xdrs, $len)";
    }';
    eval 'sub XDR_DESTROY {
        local($xdrs) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_destroy)($xdrs)";
    }';
    eval 'sub xdr_destroy {
        local($xdrs) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_destroy)($xdrs)";
    }';
    eval 'sub XDR_CONTROL {
        local($xdrs, $req, $op) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_control)($xdrs, $req, $op)";
    }';
    eval 'sub xdr_control {
        local($xdrs, $req, $op) = @_;
        eval "(*($xdrs)-> &x_ops-> &x_control)($xdrs, $req, $op)";
    }';
    if (defined &__STDC__) {
    }
    else {
    }
    eval 'sub NULL_xdrproc_t {(( &xdrproc_t)0);}';
    eval 'sub IXDR_GET_LONG {
        local($buf) = @_;
        eval "( &ntohl(*($buf)++))";
    }';
    eval 'sub IXDR_PUT_LONG {
        local($buf, $v) = @_;
        eval "(*($buf)++ =  &htonl($v))";
    }';
    eval 'sub IXDR_GET_BOOL {
        local($buf) = @_;
        eval "(( &bool_t) &IXDR_GET_LONG($buf))";
    }';
    eval 'sub IXDR_GET_ENUM {
        local($buf, $t) = @_;
        eval "(($t) &IXDR_GET_LONG($buf))";
    }';
    eval 'sub IXDR_GET_U_LONG {
        local($buf) = @_;
        eval "( &IXDR_GET_LONG($buf))";
    }';
    eval 'sub IXDR_GET_SHORT {
        local($buf) = @_;
        eval "( &IXDR_GET_LONG($buf))";
    }';
    eval 'sub IXDR_GET_U_SHORT {
        local($buf) = @_;
        eval "( &IXDR_GET_LONG($buf))";
    }';
    eval 'sub IXDR_PUT_BOOL {
        local($buf, $v) = @_;
        eval " &IXDR_PUT_LONG(($buf), (($v)))";
    }';
    eval 'sub IXDR_PUT_ENUM {
        local($buf, $v) = @_;
        eval " &IXDR_PUT_LONG(($buf), (($v)))";
    }';
    eval 'sub IXDR_PUT_U_LONG {
        local($buf, $v) = @_;
        eval " &IXDR_PUT_LONG(($buf), (($v)))";
    }';
    eval 'sub IXDR_PUT_SHORT {
        local($buf, $v) = @_;
        eval " &IXDR_PUT_LONG(($buf), (($v)))";
    }';
    eval 'sub IXDR_PUT_U_SHORT {
        local($buf, $v) = @_;
        eval " &IXDR_PUT_LONG(($buf), (($v)))";
    }';
    if (defined &__STDC__) {
	if (!defined &_KERNEL) {
	}
    }
    else {
	if (!defined &_KERNEL) {
	}
    }
    eval 'sub MAX_NETOBJ_SZ {1024;}';
    if (defined &__STDC__) {
    }
    else {
    }
    eval 'sub XDR_GET_BYTES_AVAIL {1;}';
    if (defined &_KERNEL) {
	eval 'sub XDR_PEEK {2;}';
	eval 'sub XDR_SKIPBYTES {3;}';
    }
    if (!defined &_KERNEL) {
	if (defined &__STDC__) {
	}
	else {
	}
    }
    else {
    }
    if (defined &__cplusplus) {
    }
}
1;
