if (!defined &_SYS_LOCKFS_H) {
    eval 'sub _SYS_LOCKFS_H {1;}';
    if (defined &__cplusplus) {
    }
    eval 'sub LOCKFS_ULOCK {0;}';
    eval 'sub LOCKFS_WLOCK {1;}';
    eval 'sub LOCKFS_NLOCK {2;}';
    eval 'sub LOCKFS_DLOCK {3;}';
    eval 'sub LOCKFS_HLOCK {4;}';
    eval 'sub LOCKFS_ELOCK {5;}';
    eval 'sub LOCKFS_ROELOCK {6;}';
    eval 'sub LOCKFS_MAXLOCK {6;}';
    eval 'sub LOCKFS_BUSY {0x00000001;}';
    eval 'sub LOCKFS_MOD {0x00000002;}';
    eval 'sub LOCKFS_MAXCOMMENTLEN {1024;}';
    eval 'sub LOCKFS_IS_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags &  &LOCKFS_BUSY)";
    }';
    eval 'sub LOCKFS_IS_MOD {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags &  &LOCKFS_MOD)";
    }';
    eval 'sub LOCKFS_CLR_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags &= ~ &LOCKFS_BUSY)";
    }';
    eval 'sub LOCKFS_CLR_MOD {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags &= ~ &LOCKFS_MOD)";
    }';
    eval 'sub LOCKFS_SET_MOD {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags |=  &LOCKFS_MOD)";
    }';
    eval 'sub LOCKFS_SET_BUSY {
        local($LF) = @_;
        eval "(($LF)-> &lf_flags |=  &LOCKFS_BUSY)";
    }';
    eval 'sub LOCKFS_IS_WLOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_WLOCK)";
    }';
    eval 'sub LOCKFS_IS_HLOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_HLOCK)";
    }';
    eval 'sub LOCKFS_IS_ROELOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_ROELOCK)";
    }';
    eval 'sub LOCKFS_IS_ELOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_ELOCK)";
    }';
    eval 'sub LOCKFS_IS_ULOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_ULOCK)";
    }';
    eval 'sub LOCKFS_IS_NLOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_NLOCK)";
    }';
    eval 'sub LOCKFS_IS_DLOCK {
        local($LF) = @_;
        eval "(($LF)-> &lf_lock ==  &LOCKFS_DLOCK)";
    }';
    if (defined &__cplusplus) {
    }
}
1;
